// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once
#include "ISCW_UK2Node.h"

#include <memory>
#include <string>

using std::shared_ptr;
using std::wstring;

namespace Sourcify
{
	class ISCW_UEdGraphPin;
	class ISCW_UK2Node_EnumEquality : public virtual ISCW_UK2Node
	{
	public:
		virtual ~ISCW_UK2Node_EnumEquality() = default;

		virtual shared_ptr<ISCW_UEdGraphPin> GetInput1Pin() const = 0;

		virtual shared_ptr<ISCW_UEdGraphPin> GetInput2Pin() const = 0;

		virtual shared_ptr<ISCW_UEdGraphPin> GetReturnValuePin() const = 0;
		
		virtual std::shared_ptr<ISCW_UK2Node_EnumEquality> ToUK2Node_EnumEqualityPtr() = 0;
		virtual std::shared_ptr<const ISCW_UK2Node_EnumEquality> ToUK2Node_EnumEqualityPtr() const = 0;
	};

	using ISCW_UK2Node_EnumEqualityConstPtr = std::shared_ptr<const ISCW_UK2Node_EnumEquality>;
	using ISCW_UK2Node_EnumEqualityPtr = std::shared_ptr<ISCW_UK2Node_EnumEquality>;
} // namespace Sourcify